Name: python-cycler
Version: 0.10.0
Release: 3
Summary: Composable cycles
License: BSD
URL: https://github.com/matplotlib/cycler.git
Source0: https://github.com/matplotlib/cycler/archive/v%{version}.tar.gz#/cycler-%{version}.tar.gz
BuildArch: noarch

BuildRequires:python3-devel python3-nose python3-six

%description
Composable cycles used by matplotlib.

%package -n python3-cycler
Summary: Composable cycles
%{?python_provide:%python_provide python3-cycler}

%description -n python3-cycler
Composable cycles used by matplotlib.

%prep
%autosetup -n cycler-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} run_tests.py

%files -n python3-cycler
%license LICENSE
%doc README.rst
%{python3_sitelib}/cycler.py
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/cycler-*.egg-info/

%changelog
* Thu Oct 22 2020 zhangtao <zhangtao221@huawei.com> - 0.10.0-3
- remove python2
* Tue Nov 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.10.0-2
- Package init
